<?php
$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("ti" . "tl" . "e" => base64_decode("dGl0" . "bGU="), "i" . "d" => base64_decode("aWQ" . "="), "_49c48a113fcc" . "4b94b82e29c74" . "e01e7bd" => base64_decode("ZmVlZF9rZXkgZXE6c3RyOmtl" . "eQ=="), "cha" . "nne" . "ls" => base64_decode("Y2hhbm5l" . "bHM="), "_aa7e860da1acd4e767e0df9d7d4" . "07380" => base64_decode("ZGF0ZV" . "9jcmVh" . "dGVk"), "_022eeb17ad2461a772886fe0f5575" . "520" => base64_decode("Y3JlYXRvcg" . "=="), "_c0f286e93ebdcaa427b44ec294133" . "92b" => base64_decode("ZmV" . "lZF" . "9rZ" . "Xk="), "_4cabd5d7713c30b34f15" . "2bca7e16cd6c" => base64_decode("bmV3c19mZWVkc" . "w=="));
use Claromentis\Core\DAL;




class NewsFeed extends ActiveRecord
{
    
    
    
    
    
    
    public static function LoadByKey($key)
    {
        $_25b9db1c0742750fdff46948cbf57c67 = new NewsFeed();
        $_c0a4245f295a91f607925636fb789046 = ObjectsStorage::I()->GetMultiple(new NewsFeed(), new DAL\QueryPart($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_49c48a113fcc4b94b82e29c74e01e7" . "bd"], $key), 1);
        return empty($_c0a4245f295a91f607925636fb789046[0]) ? null : $_c0a4245f295a91f607925636fb789046[0];
    }
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_4cabd5d7713c30b34f15" . "2bca7e16cd6c"], $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["i" . "d"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["i" . "d"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["titl" . "e"], ObjectsStorage::T_STRING, 255);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["cha" . "nne" . "ls"], ObjectsStorage::T_STRING);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_c0f286e93e" . "bdcaa427b44" . "ec29413392b"], ObjectsStorage::T_STRING, 20);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_aa7e860" . "da1acd4e" . "767e0df9" . "d7d40738" . "0"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_022eeb17ad2461a7" . "72886fe0f5575520"], ObjectsStorage::T_INT);
    }
    public function __set($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value)
    {
        return $this->SetProperty($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value);
    }
}